--- title: "Allocate NMS IP to Sensor" slug: "allocate-nms-ip-to-sensor-2" tags: ["IPS 11.1.x", "Reference"] updated: 2026-11-19T12:57:21Z published: 2026-11-19T12:57:21Z canonical: "docs.trellix.com/allocate-nms-ip-to-sensor-2" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Allocate NMS IP to Sensor This URL allocates the NMS IP to Sensor. ### Resource URL POST /sensor/ /nmsip/allocate/ ### Request Parameters URL Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `sensorId` | Sensor id | Number | Yes | | `IPId` | NMS IP id | Number | Yes | Payload Parameters: None ### Response Parameters Following fields are returned if the request parameters are correct, otherwise error details are returned. | Field Name | Description | Data Type | | --- | --- | --- | | `createdResourceId` | Unique id of the created domain | Number | ### Example **Request** POST [https:///sdkapi/sensor/1001/nmsip/allocate/49](https://<NSM_IP>/sdkapi/sensor/1001/nmsip/allocate/49) **Payload** None **Response** ``` {       "createdResourceId": 50 } ``` ### Error Information Following error codes are returned by this URL: | No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 404 | 1106 | Invalid Sensor | | 2 | 400 | 1124 | The Sensor is inactive | | 3 | 400 | 5401 | FIPS enabled on Sensor | | 4 | 400 | 5601 | IP address cannot be empty | | 5 | 400 | 5602 | Same IP already exists in Sensor | | 6 | 400 | 5603 | Same IP already exists in domain | | 7 | 400 | 5604 | Maximum IP addresses allowed exceeded | | 8 | 400 | 5605 | Maximum IPv6 addresses allowed exceeded | | 9 | 400 | 5606 | Maximum IPv4 addresses allowed exceeded | | 10 | 400 | 5607 | IP address not present in this domain | | 11 | 400 | 1406 | Invalid IP format | | 12 | 400 | 5608 | Invalid IP id given for allocation: ID |